% -------------------------------------------------------------------------
% function SPar=CstGet1DResultSxx(num)
% 
% Popis funkce :
% -------------
% Funkce k primemu odecitani vzorku z vybraneho grafu. Napr: odecitani
% vzorku cinitele odrazu na frekvenci. Vzdy se jedna o parametr typu "S"!
%
% Parametery :
% ------------
% num - udava konkretnost parametru napr: S11,S12,S21,....Sxx.
% SPar - navratova hodnota S-parametru ve forme matice!
% 
%             
% Priklad pouziti funkce :
% ---------
% CstGet1DResultSxx([1,1]); 
% -------------------------------------------------------------------------

function SPar=CstGet1DResultSxx(num)
global mws;

Res1D = mws.invoke('Result1D',['a',num2str(num(1)),'(1)',num2str(num(2)),'(1)']);
nf = Res1D.invoke('GetN');
SPar = zeros(nf,2);

    for i=1:nf
        % ukazatel bodu -> vypis do command window
        disp(sprintf('BOD = %i -> %i',i,nf)); 
        
        SPar(i,1) = Res1D.invoke('GetX', i-1);
        SPar(i,2) = Res1D.invoke('GetY', i-1);
    end
end